<?php
/*
# ------------------------------------------------------------------------
# Extensions for Joomla 2.5.x - Joomla 3.x - Joomla 4.x
# ------------------------------------------------------------------------
# Copyright (C) 2011-2020 Eco-Joom.com. All Rights Reserved.
# @license - PHP files are GNU/GPL V2.
# Author: Eco-Joom.com
# Author: Makeev Vladimir
#Author email: v.v.makeev@icloud.com
# Websites:  http://eco-joom.com
# Date modified: 05/05/2020 - 13:00
# ------------------------------------------------------------------------
*/

defined('_JEXEC') or die( 'Direct Access to '.basename(__FILE__).' is not allowed.' );
if(!defined('DS')){
	define('DS',DIRECTORY_SEPARATOR);
}

$document 					= JFactory::getDocument();
$document->addStyleSheet(JURI::base() . 'modules/mod_ext_bxslider_virtuemart_product/assets/css/jquery.bxslider.css');


$moduleclass_sfx			= $params->get('moduleclass_sfx');
$ext_generate_id			=(int)$params->get('ext_generate_id', 1);
$ext_id						= $params->get('ext_id', '1');
if ($ext_generate_id == 1) {
	$rand1 = rand(1,100);
	$rand2 = rand(1,100);
	$ext_id = $rand1.$rand2;
}

// Load jQuery
//------------------------------------------------------------------------
$ext_jquery_ver				= $params->get('ext_jquery_ver', '1.9.1');
$ext_load_jquery			= (int)$params->get('ext_load_jquery', 1);
$ext_load_base				= (int)$params->get('ext_load_base', 1);
$ext_load_easing			= (int)$params->get('ext_load_easing', 1);
$ext_load_bxslider			= (int)$params->get('ext_load_bxslider', 1);

$ext_script = <<<SCRIPT


var ExtVmjQ = false;
function initJQ() {
	if (typeof(jQuery) == 'undefined') {
		if (!ExtVmjQ) {
			ExtVmjQ = true;
			document.write('<scr' + 'ipt type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/$ext_jquery_ver/jquery.min.js"></scr' + 'ipt>');
		}
		setTimeout('initJQ()', 50);
	}
}
initJQ(); 
 
 if (jQuery) jQuery.noConflict();    
  
  
 

SCRIPT;

if ($ext_load_jquery  > 0) {
	$document->addScriptDeclaration($ext_script);		
}
if ($ext_load_easing  > 0) { 
	$document->addCustomTag('<script type = "text/javascript" src = "'.JURI::root().'modules/mod_ext_bxslider_virtuemart_product/assets/js/jquery.easing.1.3.js"></script>'); 
}
if ($ext_load_bxslider > 0) {	
	$document->addCustomTag('<script type = "text/javascript" src = "'.JURI::root().'modules/mod_ext_bxslider_virtuemart_product/assets/js/jquery.bxslider.min.js"></script>');
}



// Options bxSlider - http://bxslider.com/options
//------------------------------------------------------------------------
$ext_mode					= $params->get('ext_mode', 'horizontal');
$ext_speed					= (int)$params->get('ext_speed', 500);
$ext_controls				= $params->get('ext_controls', 'true');
$ext_auto					= $params->get('ext_auto', 'false');
$ext_autohover				= $params->get('ext_autohover', 'false');
$ext_pause					= (int)$params->get('ext_pause', 3000);
$ext_auto_controls			= $params->get('ext_auto_controls', 'false');
$ext_auto_delay				= (int)$params->get('ext_auto_delay', 0);
$ext_pager					= $params->get('ext_pager', 'true');
$ext_pager_type 			= $params->get('ext_pager_type', 'full');
$ext_pager_saparator		= $params->get('ext_pager_saparator', '/');
$ext_min_slides				= (int)$params->get('ext_min_slides', 1);
$ext_max_slides				= (int)$params->get('ext_max_slides', 5);
$ext_slide_width			= (int)$params->get('ext_slide_width', 200);
$ext_slide_margin			= (int)$params->get('ext_slide_margin', 10);
$ext_adaptive_height		= $params->get('ext_adaptive_height', 'false');
$ext_adaptive_height_speed	= (int)$params->get('ext_adaptive_height_speed', 500);
$ext_easing					= $params->get('ext_easing', 'null');
$ext_random_start			= $params->get('ext_random_start', 'false');






// VM Standart module mod_virtuemart_product
//-----------------------------------------------------------
if (!class_exists( 'VmConfig' )) require(JPATH_ADMINISTRATOR . DS . 'components' . DS . 'com_virtuemart'.DS.'helpers'.DS.'config.php');

VmConfig::loadConfig();
VmConfig::loadJLang('mod_ext_bxslider_virtuemart_product', true);

// Setting
$max_items 					= $params->get( 'max_items', 2 ); //maximum number of items to display
$category_id				= $params->get( 'virtuemart_category_id', null ); // Display products from this category only
$filter_category			= (bool)$params->get( 'filter_category', 0 ); // Filter the category
$show_price 				= (bool)$params->get( 'show_price', 1 ); // Display the Product Price?
$show_addtocart				= (bool)$params->get( 'show_addtocart', 1 ); // Display the "Add-to-Cart" Link?
$Product_group 				= $params->get( 'product_group', 'featured'); // 

$mainframe = Jfactory::getApplication();
$virtuemart_currency_id = $mainframe->getUserStateFromRequest( "virtuemart_currency_id", 'virtuemart_currency_id',JRequest::getInt('virtuemart_currency_id',0) );


$key = 'products'.$category_id.'.'.$max_items.'.'.$filter_category.'.'.$ext_id.'.'.$show_price.'.'.$show_addtocart.'.'.$Product_group.'.'.$virtuemart_currency_id;

$cache	= JFactory::getCache('mod_ext_bxslider_virtuemart_product', 'output');


	/* Load  VM fonction */
	if (!class_exists( 'mod_ext_bxslider_virtuemart_product' )) require('helper.php');

	$vendorId = JRequest::getInt('vendorid', 1);

	if ($filter_category ) $filter_category = TRUE;

	$productModel = VmModel::getModel('Product');

	$products = $productModel->getProductListing($Product_group, $max_items, $show_price, true, false,$filter_category, $category_id);
	$productModel->addImages($products);

	$totalProd = 		count( $products);
	if(empty($products)) return false;
	$currency = CurrencyDisplay::getInstance( );

	if ($show_addtocart) {
		//vmJsApi::jPrice();
		vmJsApi::cssSite();
	}
	/* Load tmpl default */
	require JModuleHelper::getLayoutPath('mod_ext_bxslider_virtuemart_product', $params->get('layout', 'default'));
?>
