<?php
/*
# ------------------------------------------------------------------------
# Extensions for Joomla 2.5.x - Joomla 3.x - Joomla 4.x
# ------------------------------------------------------------------------
# Copyright (C) 2011-2020 Eco-Joom.com. All Rights Reserved.
# @license - PHP files are GNU/GPL V2.
# Author: Eco-Joom.com
# Author: Makeev Vladimir
#Author email: v.v.makeev@icloud.com
# Websites:  http://eco-joom.com
# Date modified: 05/05/2020 - 13:00
# ------------------------------------------------------------------------
*/

// no direct access
defined('_JEXEC') or die;
if(!defined('DS')){
	define('DS',DIRECTORY_SEPARATOR);
}

$ext_class_selector = 'horizontal';
if ($ext_mode == 'vertical') {
	$ext_class_selector = 'vertical';
} 

// add javascript for price and cart, need even for quantity buttons, so we need it almost anywhere
vmJsApi::jPrice();
?>


<script type="text/javascript">
jQuery(document).ready(function(){
	jQuery('#mod_ext_bxslider_virtuemart_product_<?php echo $ext_id; ?>').bxSlider({
		mode: '<?php echo $ext_mode;?>',		
		randomStart: <?php echo $ext_random_start;?>,
		minSlides: <?php echo $ext_min_slides;?>,
		maxSlides: <?php echo $ext_max_slides;?>,
		slideWidth: <?php echo $ext_slide_width;?>,
		slideMargin: <?php echo $ext_slide_margin;?>,
		adaptiveHeight: <?php echo $ext_adaptive_height;?>,
		adaptiveHeightSpeed: <?php echo $ext_adaptive_height_speed;?>,
		easing:	'<?php echo $ext_easing;?>',
		speed: <?php echo $ext_speed;?>,
		controls: <?php echo $ext_controls; ?>,
		auto: <?php echo $ext_auto;?>,
		autoControls: <?php echo $ext_auto_controls;?>,
		pause: <?php echo $ext_pause?>,
		autoDelay: <?php echo $ext_auto_delay; ?>,
		autoHover: <?php echo $ext_autohover; ?>,
		pager: <?php echo $ext_pager;?>,
		pagerType: '<?php echo $ext_pager_type;?>',
		pagerShortSeparator: '<?php echo $ext_pager_saparator;?>'
	});
});
</script>


<div class="mod_ext_bxslider_virtuemart_product <?php echo $moduleclass_sfx ?>">	
	<div class="mod_ext_bxslider_virtuemart_product_controls_<?php echo $ext_class_selector;?>">
		<ul id="mod_ext_bxslider_virtuemart_product_<?php echo $ext_id; ?>" >
			<?php foreach ($products as $product) : ?>
			<li>
				<div class="mod_ext_bxslider_virtuemart_product_wrap">
					
					<div class="mod_ext_bxslider_virtuemart_product_title">
						<a href="<?php echo JRoute::_('index.php?option=com_virtuemart&view=productdetails&virtuemart_product_id=' . $product->virtuemart_product_id . '&virtuemart_category_id=' . $product->virtuemart_category_id); ?>"><?php echo $product->product_name ?></a>  
					</div>
					
					<div class="mod_ext_bxslider_virtuemart_product_img">
						<?php
						if (!empty($product->images[0])) {
							$image = $product->images[0]->displayMediaThumb ('class="featuredProductImage" border="0"', FALSE);
						} else {
							$image = '';
						}
						echo JHTML::_ ('link', JRoute::_ ('index.php?option=com_virtuemart&view=productdetails&virtuemart_product_id=' . $product->virtuemart_product_id . '&virtuemart_category_id=' . $product->virtuemart_category_id), $image, array('title' => $product->product_name));
						?>
					</div>					
					
					<?php 
					// $product->prices is not set when show_prices in config is unchecked
					if ($show_price and  isset($product->prices)) {
						echo '<div class="product-price">'.$currency->createPriceDiv ('salesPrice', '', $product->prices, FALSE, FALSE, 1.0, TRUE);
						if ($product->prices['salesPriceWithDiscount'] > 0) {
							echo $currency->createPriceDiv ('salesPriceWithDiscount', '', $product->prices, FALSE, FALSE, 1.0, TRUE);
						}
						echo '</div>';
					}
					if ($show_addtocart) {
						echo mod_ext_bxslider_virtuemart_product::addtocart ($product);
					}
					?>
				</div>
			</li>
			<?php endforeach; ?>
		</ul>
	</div>	
	<div style="clear:both;"></div>
</div>